#pragma once

#include "kpi_player.h"
#include "kpi_impl.h"

extern const GUID kbGuru2SMF_GUID;

class KbGuru2SMFPlayerModule : public KbKpiUnknownImpl<IKpiPlayerModule>
{
public:
    IKpiConfig *m_pConfig;
    KPI_PLAYER_MODULEINFO m_ModuleInfo;
public:
    void  WINAPI GetModuleInfo(const KPI_PLAYER_MODULEINFO **ppInfo);
    DWORD WINAPI Open(const KPI_MEDIAINFO *cpRequest, 
                      IKpiFile *pFile, 
                      IKpiFolder *pFolder, 
                      IKpiPlayer **ppPlayer);
    BOOL  WINAPI EnumConfig(IKpiConfigEnumerator *pEnumerator);//{return false;}
    DWORD WINAPI ApplyConfig(const wchar_t *cszSection,//ZNV
                             const wchar_t *cszKey,    //L[
                             INT64  nValue, //ύX̒l(BOOL/INT ̏ꍇ)
                             double dValue, //ύX̒l(FLOAT ̏ꍇ)
                             const wchar_t *cszValue);//{return KPI_CFGRET_OK;}//ύX̒l()
    KbGuru2SMFPlayerModule(IKpiConfig *pConfig);
    ~KbGuru2SMFPlayerModule(void);
};

